Package net.shibboleth.idp.plugin.authn.webauthn.storage.impl

# Class DisabledCacheServiceImpl

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.DisabledCacheServiceImpl

All Implemented Interfaces:
  `CacheService`

public class DisabledCacheServiceImpl extends Object implements CacheService
A no-op implementation of a `CacheService`. Constructed if the cache service is effectively disabled.

Since:
  1.3.0

## Constructor Summary

Constructors
Constructor
Description
`DisabledCacheServiceImpl()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getIfPresent(com.yubico.webauthn.data.ByteArray userHandle)`
Returns the value associated with key in this cache, or `null` if there is no cached value.
`void`
`invalidate(com.yubico.webauthn.data.ByteArray userHandle)`
Removes any cached value for the key.
`void`
`invalidateAll()`
Removes all entries in the cache.
`void`
`put(CredentialRecord registration)`
Associates the registration with the username in this cache.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DisabledCacheServiceImpl

public DisabledCacheServiceImpl()

## Method Details

### getIfPresent

public String getIfPresent(@Nonnull com.yubico.webauthn.data.ByteArray userHandle)
Description copied from interface: `CacheService`
Returns the value associated with key in this cache, or `null` if there is no cached value.

Specified by:
  `getIfPresent` in interface `CacheService`
Parameters:
  `userHandle` - the key to use
Returns:
  the username associated with key in the cache, or `null` if no mapping is found.

### put

public void put(@Nonnull CredentialRecord registration)
Description copied from interface: `CacheService`
Associates the registration with the username in this cache. If the cache previously contained a value associated with this registration, the old value is replaced by the username in the registration.

Specified by:
  `put` in interface `CacheService`
Parameters:
  `registration` - the registration to extract the mapping from.

### invalidate

public void invalidate(@Nonnull com.yubico.webauthn.data.ByteArray userHandle)
Description copied from interface: `CacheService`
Removes any cached value for the key.

Specified by:
  `invalidate` in interface `CacheService`
Parameters:
  `userHandle` - the key

### invalidateAll

public void invalidateAll()
Description copied from interface: `CacheService`
Removes all entries in the cache.

Specified by:
  `invalidateAll` in interface `CacheService`